/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.ui.util;

/**
 * @author DNS   LEV
 * @version 1.0
 */
public class UIException extends Exception {

   private static final long serialVersionUID = -7571577615879726405L;

/**
    * Creates new <code>UIException</code> without detail message.
    */
    public UIException() {
      super();
   }
   
   /**
    * Constructs an <code>UIException</code> with the specified detail message.
    * @param msg the detail message.
    */
    public UIException(String msg) {
      super(msg);
   }
   
   /**
    * Constructs an <code>UIException</code> with the specified detail message
    * and a caused exception
    * @param msg the detail message.
    * @param cause the caused exception
    */
    public UIException(String msg, Throwable cause) {
      super( msg, cause );
   }
}
